> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mudstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update settings

> Update settings for the current user.



## OpenAPI

````yaml put /users/settings
openapi: 3.0.0
info:
  title: Mudstack API
  version: 2.41.0
servers:
  - url: https://api.mudstack.com
security: []
tags: []
paths:
  /users/settings:
    put:
      tags:
        - User Settings
      description: Update settings for the current user.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                settings:
                  type: object
                  additionalProperties:
                    type: string
      responses:
        '200':
          description: Status of the update operation
          content:
            application/json:
              schema:
                type: boolean
      security:
        - Authentication: []
components:
  securitySchemes:
    Authentication:
      type: http
      scheme: bearer
      bearerFormat: JWT

````